# Method: accounts.issues.list

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.issues/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.issues/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.issues/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.issues/list#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.issues/list#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.issues/list#body.ListAccountIssuesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.issues/list#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.issues/list#try-it)

Lists all account issues of a Merchant Center account.

When called on a multi-client account, this method only returns issues belonging to that account, not its sub-accounts. To retrieve issues for sub-accounts, you must first call the `https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts/listSubaccounts#google.shopping.merchant.accounts.v1.AccountsService.ListSubAccounts` method to obtain a list of sub-accounts, and then call `accounts.issues.list` for each sub-account individually.

### HTTP request

`GET https://merchantapi.googleapis.com/accounts/v1/{parent=accounts/*}/issues`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of issues. Format: `accounts/{account}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of issues to return. The service may return fewer than this value. If unspecified, at most 50 issues will be returned. The maximum value is 100; values above 100 will be coerced to 100 |
| `pageToken` | `string` Optional. A page token, received from a previous `issues.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `issues.list` must match the call that provided the page token. |
| `languageCode` | `string` Optional. The issues in the response will have human-readable fields in the given language. The format is [BCP-47](https://tools.ietf.org/html/bcp47), such as `en-US` or `sr-Latn`. If not value is provided, `en-US` will be used. |
| `timeZone` | `string` Optional. The [IANA](https://www.iana.org/time-zones) timezone used to localize times in human-readable fields. For example 'America/Los_Angeles'. If not set, 'America/Los_Angeles' will be used. |

### Request body

The request body must be empty.

### Response body

Response message for the `issues.list` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "accountIssues": [ { object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.issues#AccountIssue`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `accountIssues[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.issues#AccountIssue`)`` The issues from the specified account. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).